openSUSE Security Update : ctdb (openSUSE-SU-2014:0842-1)

High Nessus Plugin ID 76229


The remote openSUSE host is missing a security update.


ctdb was updated to version 2.3 to fix several temp file vulnerabilities (CVE-2013-4159). Various other bugs were fixed by this upgrade, most notably bnc#867815: Avoid lockwait congestion by using an overflow queue.


Update the affected ctdb packages.

See Also

Plugin Details

Severity: High

ID: 76229

File Name: openSUSE-2014-442.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2014/06/26

Modified: 2014/08/08

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:ctdb, p-cpe:/a:novell:opensuse:ctdb-debuginfo, p-cpe:/a:novell:opensuse:ctdb-debugsource, p-cpe:/a:novell:opensuse:ctdb-devel, p-cpe:/a:novell:opensuse:ctdb-pcp-pmda, p-cpe:/a:novell:opensuse:ctdb-pcp-pmda-debuginfo, cpe:/o:novell:opensuse:12.3, cpe:/o:novell:opensuse:13.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2014/06/12

Reference Information

CVE: CVE-2013-4159